import 'package:flutter/foundation.dart';

@immutable
class Support {
  final String id;
  final String bundleId;
  final String advertisingId;
  final String message;
  final Map<String, dynamic> metadata;
  final DateTime? createdAt;

  const Support({
    required this.id,
    required this.bundleId,
    required this.advertisingId,
    required this.message,
    required this.metadata,
    this.createdAt,
  });

  factory Support.fromJson(Map<String, dynamic> json) => Support(
        id: json['id'] as String,
        bundleId: json['bundle_id'] as String,
        advertisingId: json['advertising_id'] as String,
        message: json['message'] as String,
        metadata: json['metadata'] as Map<String, dynamic>,
        createdAt: DateTime.parse(json['created_at'] as String),
      );

  Map<String, dynamic> toJson() => {
        'id': id,
        'bundle_id': bundleId,
        'advertising_id': advertisingId,
        'message': message,
        'metadata': metadata,
        'created_at': createdAt?.toIso8601String(),
      };
}
