part of 'adpack_cubit.dart';

enum AdpackStatus {
  initial,
  noConnection,
  loading,
  loaded,
}

@immutable
class AdpackState extends Equatable {
  final AdpackStatus status;
  final String? destination;

  const AdpackState({
    this.status = AdpackStatus.initial,
    this.destination,
  });

  @override
  List<Object?> get props => [
        status,
        destination,
      ];

  AdpackState copyWith({
    AdpackStatus? status,
    String? destination,
  }) {
    return AdpackState(
      status: status ?? this.status,
      destination: destination ?? this.destination,
    );
  }
}
