import 'package:flutter/material.dart';
import 'package:webview_flutter/webview_flutter.dart';

class Destination extends StatefulWidget {
  final String destination;

  const Destination({
    super.key,
    required this.destination,
  });

  @override
  State<Destination> createState() => _DestinationState();
}

class _DestinationState extends State<Destination> {
  late final WebViewController controller;

  @override
  void initState() {
    _initDestinationView();
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return PopScope(
      canPop: false,
      child: Scaffold(
        body: SafeArea(
          bottom: false,
          child: WebViewWidget(
            controller: controller,
          ),
        ),
      ),
    );
  }

  void _initDestinationView() {
    controller = WebViewController()
      ..setJavaScriptMode(JavaScriptMode.unrestricted)
      ..loadRequest(Uri.parse(widget.destination));
  }
}
