import 'package:flutter/material.dart';

class LoadingPage extends StatelessWidget {
  final int durationInSecond;
  final Widget loadingWidget;
  final Color backgroundColor;

  const LoadingPage({
    super.key,
    this.durationInSecond = 10,
    this.backgroundColor = Colors.black,
    required this.loadingWidget,
  });

  @override
  Widget build(BuildContext context) {
    return FutureBuilder<bool>(
      future: Future.delayed(
        Duration(seconds: durationInSecond),
        () => false,
      ),
      builder: (context, snapshot) {
        if (snapshot.data == false) {
          return const SizedBox.shrink();
        }
        return Container(
          color: backgroundColor,
          child: Center(
            child: loadingWidget,
          ),
        );
      },
    );
  }
}
